.about-hero-section {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  background: url(../image/band/upbg.png) no-repeat;
  background-size: 100% 100%;
  -webkit-mask-image: radial-gradient(125% 10% at 50% 102%, transparent 50%, #fff 51%);
  mask-image: radial-gradient(125% 10% at 50% 102%, transparent 50%, #fff 51%);
}
.about-hero-section .hero-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 0;
}
.about-hero-section .hero-bg .img-hero {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.about-hero-section .hero-bg .hero-content {
  width: 1280px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin: 0 auto;
  z-index: 10;
}
.about-hero-section .hero-bg .hero-content img {
  margin-bottom: 43px;
}
.about-hero-section .hero-bg .hero-content span {
  font-size: 46px;
  font-weight: 700;
  color: #ffffff;
  position: relative;
}
.about-hero-section .hero-bg .hero-content span::after {
  content: '';
  display: block;
  width: 18px;
  height: 18px;
  background-color: #AF1685;
  border-radius: 50%;
  position: absolute;
  bottom: 15px;
  right: -39px;
}
.about-hero-section .hero-bg .hero-content .title-butn {
  padding-top: 35px;
  display: flex;
  align-items: center;
}
.about-hero-section .hero-bg .hero-content .title-butn .title {
  width: 380px;
  font-size: 14px;
  font-weight: 400;
  color: #ffffff;
  line-height: 22px;
}
#brandNav {
  display: flex;
  flex-wrap: nowrap;
  overflow-x: auto;
  width: 1280px;
  scrollbar-width: none;
  -ms-overflow-style: none;
  cursor: grab;
  margin: 0 auto;
}
#brandNav::-webkit-scrollbar {
  display: none;
}
.brand-item {
  flex: 0 0 16.666%;
  max-width: 16.666%;
  padding: 0 5px;
  box-sizing: border-box;
  cursor: default;
}
#brandNav.active {
  cursor: grabbing;
  user-select: none;
}
.brand-item img {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.badnimg {
  width: 100%;
}
.badnimg .image__file {
  width: 100%;
  object-fit: cover;
  object-position: top;
}
.top-banner {
  height: 180px;
  width: 100%;
  margin-bottom: 20px;
  border-bottom-left-radius: 50% 20%;
  border-bottom-right-radius: 50% 20%;
  overflow: hidden;
  background-color: #f0f0f0;
  position: relative;
}
/* 新增：图片样式 */
.top-banner img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: opacity 0.3s;
}
.container {
  max-width: 1280px;
  margin: 0 auto;
}
.product-desc {
  font-size: 16px;
  color: #050505;
  padding-top: 15px;
}
.brand-nav {
  display: flex;
  justify-content: space-between;
  padding-top: 59px;
}
.brand-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
}
.brand-logo {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background-color: #fff;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 10px;
  overflow: hidden;
  border: 2px solid transparent;
  transition: border-color 0.3s;
}
.brand-item.active .brand-logo {
  border-color: #003399;
}
.brand-placeholder {
  font-size: 12px;
  font-weight: bold;
  color: #666;
}
.brand-item.active .brand-placeholder {
  color: #003399;
}
.brand-name {
  font-size: 14px;
  color: #666;
}
.brand-item.active .brand-name {
  color: #003399;
  font-weight: bold;
}
.page-title {
  font-size: 32px;
  font-weight: 400;
  color: #050505;
  padding-top: 93px;
  padding-bottom: 56px;
}
.main-content {
  display: flex;
  padding-top: 120px;
}
.sidebar {
  width: 300px;
  flex-shrink: 0;
  padding-right: 56px;
}
.sidebar-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 17px;
}
.sidebar-title {
  font-size: 18px;
  font-weight: 700;
  color: #002EA6;
}
.reset-btn {
  font-size: 14px;
  font-weight: 400;
  color: #002ea6;
  cursor: pointer;
}
.search-box {
  position: relative;
  margin-bottom: 30px;
}
.search-box input {
  width: 100%;
  padding: 12px 30px 12px 15px;
  border: 1.5px solid #3e64ff;
  border-radius: 25px;
  outline: none;
  color: #333;
  font-size: 16px;
}
::-webkit-input-placeholder {
  color: #8FA9D6;
  font-size: 16px;
}
.search-btn {
  position: absolute;
  top: 0;
  right: 12px;
  width: 40px;
  height: 40px;
  background: url(../image/search.png) no-repeat center center;
  border: none;
  cursor: pointer;
  top: 50%;
  transform: translateY(-50%);
}
.search-icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #002EA6;
}
.category-list li {
  padding: 12px 0;
  display: flex;
  align-items: center;
  cursor: pointer;
  font-size: 16px;
  color: #002EA6;
}
.category-list li:hover {
  color: #002EA6;
}
.filter-item:hover .check-circle {
  border: 2px solid #002EA6;
}
.check-circle {
  width: 25px;
  height: 25px;
  border: 1px solid #002EA6;
  border-radius: 50%;
  margin-right: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.category-list li.active {
  color: #002EA6;
  font-weight: bold;
}
.category-list li.active .check-circle {
  border: 2px solid #002EA6;
  background-color: #fff;
  position: relative;
}
.category-list li.active .check-circle::after {
  content: '';
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 10px;
  height: 8px;
  background: url(../image/true.png) no-repeat;
  background-size: 100% 100%;
}
@media (max-width: 992px) {
  .product-section {
    max-height: 100vh;
  }
}
/* --- 商品展示 --- */
.product-section {
  flex-grow: 1;
}
.product-count {
  font-size: 14px;
  color: #333333;
  margin-bottom: 24px;
  display: block;
}
.product-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  min-height: 300px;
}
.product-card {
  transition: transform 0.2s;
  cursor: pointer;
  animation: fadeIn 0.4s ease;
  width: 236px;
}
.product-card:hover .product-img-box img {
  transform: scale(1.13);
  transition: transform 0.3s;
}
@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
.product-img-box {
  width: 100%;
  background-color: #f9f9f9;
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  overflow: hidden;
}
.product-img-box img {
  width: 256px;
  height: 256px;
  object-fit: cover;
  transition: transform 0.5s;
}
.product-name {
  font-size: 16px;
  color: #333;
  text-align: left;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}
.product-tag {
  font-size: 10px;
  color: #999;
  text-align: center;
  margin-top: 5px;
}
.empty-state {
  grid-column: span 4;
  text-align: center;
  padding: 60px;
  color: #999;
  font-size: 14px;
}
.pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 100px;
  margin-bottom: 50px;
}
.page-item {
  padding: 5px 10px;
  margin: 0 5px;
  border: 1px solid #eee;
  font-size: 12px;
  color: #666;
  cursor: pointer;
}
.page-item:hover {
  background-color: #003399;
  color: #fff;
  border-color: #003399;
  transition: all 0.2s;
}
.page-item.active {
  background-color: #003399;
  color: #fff;
  border-color: #003399;
}
.brand__content {
  content: "";
  position: absolute;
  inset: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.5s;
  z-index: 1;
  padding: 0 1rem;
  border-radius: 50%;
}
.brand__content .hp-blogs__btn:hover {
  border: transparent !important;
  background: transparent;
}
.brand__content .hp-blogs__btn:hover span {
  position: relative;
  z-index: 50;
  color: #fff;
  /* 1. 两端对齐，实现“填满”效果 */
  text-align: justify;

  /* 2. 防止长单词（如URL）撑破容器，只在必要时断行 */
  overflow-wrap: break-word;

  /* 3. 开启自动连字符（重要！防止两端对齐时出现巨大的单词间隙） */
  hyphens: auto;
  -webkit-hyphens: auto; /* 兼容 Safari */
}
.slide {
  position: relative;
}
.slide:hover .brand__content {
  opacity: 1;
}
.slide:hover .slideImng:after {
  opacity: 0.9;
  transform: scale(1);
}
.slide img {
  width: 120px;
  height: 120px;
  display: block;
  border-radius: 50%;
  transition: transform 0.5s;
}
.slideImng:after {
  content: "";
  position: absolute;
  inset: 0;
  background-color: #02266d;
  opacity: 0;
  border-radius: 50%;
  transform: scale(0.5);
  transition: opacity 0.2s, transform 0.4s;
}
.external-link--button span {
  z-index: 3;
  position: relative;
}
.external-link--button:active,
.external-link--button:focus-within,
.external-link--button:hover {
  background-color: var(--btn-bg-hover);
  border-color: var(--btn-border-hover, var(--btn-bg-hover));
}
.external-link--button:focus-within:before,
.external-link--button:hover:before {
  transform: scaleX(100%);
  opacity: 1;
}
.external-link--button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  min-width: 110px;
  vertical-align: middle;
  text-align: center;
  margin: 5px var(--space-x);
  border: 1px solid var(--btn-border-color, currentcolor);
  border-radius: 44px;
  font-weight: 600;
  text-decoration: none;
  font-size: 14px;
  line-height: 1.1;
  transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease;
  cursor: pointer;
}
@media (min-width: 992px) {
  .external-link--button {
    transition: all 0.9s;
  }
  .external-link--button:before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: var(--btn-bg-hover);
    border-radius: 30px;
    z-index: 0;
    transform: scaleX(0);
    transition: transform 0.4s, opacity 0.5s;
    opacity: 0.2;
  }
}
.external-link--button {
  --btn-bg: transparent;
  --btn-bg-hover: #002c7a;
  --btn-color: #003da5;
  --btn-color-hover: #fff;
  min-height: 46px;
  font-weight: 600;
  position: relative;
  background-color: var(--btn-bg);
}
@media (min-width: 992px) {
  .brand__link {
    padding: 0.6rem 1.3rem;
  }
}
.brand__link {
  border-color: #fff;
  background-color: #fff;
  font-size: 1rem;
  font-weight: 600;
  margin-top: 0;
  transition: all 0.5s;
  padding: 0.6rem 1rem;
  min-height: unset;
}
.brand__headline {
  font-weight: 700;
  font-size: 1rem;
  line-height: 1.2;
  color: #fff;
  margin-bottom: 0.7rem;
}
.external-link {
  --btn-color: #003da5;
  --btn-color-hover: #002c7a;
  color: var(--btn-color);
  font-weight: 700;
}
.right-nav.active {
  right: 30px;
}
.right-nav {
  position: fixed;
  top: 50%;
  right: -60px;
  transform: translateY(-50%);
  transition: right 0.9s ease;
}
.right-nav a {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.right-nav a .nav-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 49px;
  height: 49px;
  border-radius: 50%;
  background-color: #002ea6;
  margin-bottom: 10px;
}
.right-nav a .nav-icon img {
  width: 21px;
  height: 20px;
}
.right-nav a span {
  font-size: 12px;
  color: #848484;
}
